Package ru.bitel.bgbilling.modules.bill.server.bean

# Class ExtractorPositionValue

java.lang.Object
ru.bitel.bgbilling.modules.bill.server.bean.PositionValue
ru.bitel.bgbilling.modules.bill.server.bean.ExtractorPositionValue

    public class ExtractorPositionValue
    extends PositionValue

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ExtractorPositionValue()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getMid()` |
  `int` | `getSid()` |
  `void` | `setMid​(int mid)` |
  `void` | `setSid​(int sid)` |
  `void` | `toElement​(javax.xml.stream.XMLStreamWriter el)` |
  `void` | `toElement​(org.w3c.dom.Element el)` |

  ### Methods inherited from class ru.bitel.bgbilling.modules.bill.server.bean.PositionValue

  `getCid, getContractId, getCost, getExtractPositions, getName, getNds, getParams, getPosition, getPositionId, getQtyNumsAfterComma, getQtyNumsRoundingMode, getQuantity, getSum, getSumScaled, getSumUnscaled, getUnit, getUnitCode, isAddWhenLessZero, isInSumm, setAddWhenLessZero, setCid, setContractId, setCost, setExtractPositions, setInSumm, setName, setNds, setParams, setPosition, setPositionId, setQtyNumsAfterComma, setQtyNumsRoundingMode, setQuantity, setSum, setSumScaled, setSumUnscaled, setUnit, setUnitCode, toDocumentPosition`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ExtractorPositionValue

    public ExtractorPositionValue()

- ## Method Details

  - ### getSid

    public int getSid()

  - ### setSid

    public void setSid​(int sid)

  - ### getMid

    public int getMid()

  - ### setMid

    public void setMid​(int mid)

  - ### toElement

    public void toElement​(org.w3c.dom.Element el)
    Overrides:
      `toElement` in class `PositionValue`

  - ### toElement

    public void toElement​(javax.xml.stream.XMLStreamWriter el) throws javax.xml.stream.XMLStreamException
    Overrides:
      `toElement` in class `PositionValue`
    Throws:
      `javax.xml.stream.XMLStreamException`